Package com.macrofocus.high_d.treetable.swing

# Class TreeTableSelectionModel

java.lang.Object
javax.swing.tree.DefaultTreeSelectionModel
com.macrofocus.high_d.treetable.swing.TreeTableSelectionModel

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `TreeSelectionModel`

public class TreeTableSelectionModel extends DefaultTreeSelectionModel
Created by luc on 28/05/15.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.swing.tree.DefaultTreeSelectionModel

  `changeSupport, leadIndex, leadPath, leadRow, listenerList, listSelectionModel, rowMapper, selection, SELECTION_MODE_PROPERTY, selectionMode`

  ### Fields inherited from interface javax.swing.tree.TreeSelectionModel

  `CONTIGUOUS_TREE_SELECTION, DISCONTIGUOUS_TREE_SELECTION, SINGLE_TREE_SELECTION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TreeTableSelectionModel()`

- ## Method Summary

  ### Methods inherited from class javax.swing.tree.DefaultTreeSelectionModel

  `addPropertyChangeListener, addSelectionPath, addSelectionPaths, addTreeSelectionListener, arePathsContiguous, canPathsBeAdded, canPathsBeRemoved, clearSelection, clone, fireValueChanged, getLeadSelectionPath, getLeadSelectionRow, getListeners, getMaxSelectionRow, getMinSelectionRow, getPropertyChangeListeners, getRowMapper, getSelectionCount, getSelectionMode, getSelectionPath, getSelectionPaths, getSelectionRows, getTreeSelectionListeners, insureRowContinuity, insureUniqueness, isPathSelected, isRowSelected, isSelectionEmpty, notifyPathChange, removePropertyChangeListener, removeSelectionPath, removeSelectionPaths, removeTreeSelectionListener, resetRowSelection, setRowMapper, setSelectionMode, setSelectionPath, setSelectionPaths, toString, updateLeadIndex`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TreeTableSelectionModel

    public TreeTableSelectionModel()